package com.dweb.atmosphere.grizzly;

import java.io.IOException;

import org.atmosphere.config.managed.Decoder;
import org.codehaus.jackson.map.ObjectMapper;

/**
 * Decode a String into a Message.
 */

public class JacksonDecoder implements Decoder<String, Message> {

    private final ObjectMapper mapper = new ObjectMapper();

    public Message decode(final String content) {
        try {
            return mapper.readValue(content, Message.class);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
