package com.dweb.atmosphere.grizzly;

/**
 * Message DTO
 * 
 * @author mnateras
 * 
 */

public class Message {

	private String author;
	private String message;
	private long time;

	/**
	 * Creates an empty message
	 */
	public Message() {
		this("", "");
	}

	/**
	 * Creates a message using the specified parameters
	 * 
	 * @param author
	 *            the author property
	 * @param message
	 *            the message property
	 */
	public Message(final String author, final String message) {
		this.author = author;
		this.message = message;
		this.time = System.currentTimeMillis();
	}

	/**
	 * Gets the author property
	 * 
	 * @return the author
	 */
	public String getAuthor() {
		return author;
	}

	/**
	 * Returns the message property
	 * 
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * Gets the time property
	 * 
	 * @return the time
	 */
	public long getTime() {
		return time;
	}

	/**
	 * Sets the author property
	 * 
	 * @param author
	 *            the author property
	 */
	public void setAuthor(final String author) {
		this.author = author;
	}

	/**
	 * Sets the message property
	 * 
	 * @param message
	 *            the message property
	 */
	public void setMessage(final String message) {
		this.message = message;
	}

	/**
	 * Sets the time property
	 * 
	 * @param time
	 *            the time property
	 */
	public void setTime(final long time) {
		this.time = time;
	}

}